%define upstream_name    CPAN-Perl-Releases
%define upstream_version 1.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mapping Perl releases on CPAN to the location of the tarballs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
CPAN::Perl::Releases is a module that contains the mappings of all 'perl'
releases that have been uploaded to CPAN to the 'authors/id/' path that the
tarballs reside in.

This is static data, but newer versions of this module will be made
available as new releases of 'perl' are uploaded to CPAN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.440.0-2.mga4
+ Revision: 536987
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.440.0-1.mga4
+ Revision: 486097
- update to 1.44

* Thu Aug 22 2013 sander85 <sander85> 1.420.0-1.mga4
+ Revision: 469780
- update to 1.42

* Thu Aug 22 2013 sander85 <sander85> 1.400.0-1.mga4
+ Revision: 469740
- update to 1.40

* Tue Aug 20 2013 sander85 <sander85> 1.380.0-1.mga4
+ Revision: 468562
- update to 1.38

* Tue Aug 20 2013 sander85 <sander85> 1.360.0-1.mga4
+ Revision: 468419
- update to 1.36

* Mon Aug 12 2013 sander85 <sander85> 1.340.0-1.mga4
+ Revision: 465851
- update to 1.34

* Fri Aug 09 2013 sander85 <sander85> 1.320.0-1.mga4
+ Revision: 464973
- update to 1.32

* Sun Aug 04 2013 sander85 <sander85> 1.300.0-1.mga4
+ Revision: 463571
- update to 1.30

* Fri Aug 02 2013 sander85 <sander85> 1.280.0-1.mga4
+ Revision: 462717
- update to 1.28

* Mon Jul 22 2013 sander85 <sander85> 1.260.0-1.mga4
+ Revision: 457219
- update to 1.26

* Wed Jun 26 2013 jquelin <jquelin> 1.240.0-1.mga4
+ Revision: 446858
- update to 1.24

* Tue Jun 04 2013 jquelin <jquelin> 1.220.0-1.mga4
+ Revision: 437087
- update to 1.22

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 363631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 341918
- update to 0.92

* Wed Nov 14 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 317605
- update to 0.88

* Tue Nov 06 2012 jquelin <jquelin> 0.840.0-1.mga3
+ Revision: 314856
- update to 0.84

* Mon Oct 15 2012 jquelin <jquelin> 0.760.0-1.mga3
+ Revision: 306066
- update to 0.76

* Thu Sep 27 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 298747
- update to 0.72

* Wed Sep 26 2012 jquelin <jquelin> 0.700.0-1.mga3
+ Revision: 297963
- update to 0.70

* Wed Aug 29 2012 kharec <kharec> 0.680.0-1.mga3
+ Revision: 285125
- update to 0.68

* Wed Jul 04 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 267267
- update to 0.60

* Tue Jun 05 2012 jquelin <jquelin> 0.580.0-1.mga3
+ Revision: 254577
- update to 0.58

* Tue Mar 06 2012 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 219940
- imported package perl-CPAN-Perl-Releases


* Tue Mar 06 2012 cpan2dist 0.44-1mga
- initial mageia release, generated with cpan2dist
